Extending Qt Creator Manual | Debugger Namespace

Extending Qt Creator Manual 4.8.1

# Debugger Namespace

Header: | #include <Debugger>

## Namespaces

namespace | Constants
namespace | Core
namespace | Debugger
namespace | Internal
namespace | Utils

## Types

enum | DebuggerCapabilities { ReverseSteppingCapability, SnapshotCapability, AutoDerefPointersCapability, DisassemblerCapability, ..., BreakIndividualLocationsCapability }
enum | DebuggerCloseMode { KillAtClose, KillAndExitMonitorAtClose, DetachAtClose }
enum | DebuggerEngineType { NoEngineType, GdbEngineType, CdbEngineType, PdbEngineType, LldbEngineType }
enum | DebuggerLanguage { NoLanguage, CppLanguage, QmlLanguage, AnyLanguage }
enum | DebuggerStartMode { NoStartMode, StartInternal, StartExternal, AttachExternal, ..., StartRemoteProcess }
enum | DebuggerState { DebuggerNotReady, EngineSetupRequested, EngineSetupFailed, EngineSetupOk, ..., DebuggerFinished }
enum | LogChannel { LogInput, LogMiscInput, LogOutput, LogWarning, ..., ConsoleOutput }

## Functions

Debugger::Q_DECL_IMPORT | operator==(const int &first, const int &second)

## Detailed Description

Debugger plugin namespace

## Namespaces

### namespace Debugger::Constants

### namespace Debugger::Core

### namespace Debugger::Debugger

### namespace Debugger::Utils

## Classes

## Type Documentation

### enum Debugger::DebuggerCapabilities

### enum Debugger::DebuggerCloseMode

### enum Debugger::DebuggerEngineType

### enum Debugger::DebuggerLanguage

### enum Debugger::DebuggerStartMode

### enum Debugger::DebuggerState

### enum Debugger::LogChannel

## Variable Documentation

## Static Variables

## Function Documentation

### Debugger::Q_DECL_IMPORT Debugger::operator==(const int &first, const int &second)

## Macro Documentation